cascading.flow.process

## Class ProcessFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep
  - - cascading.flow.process.ProcessFlowStep

- All Implemented Interfaces:
    FlowStep, ProcessModel, ProcessLogger, Serializable

      public class ProcessFlowStep
      extends BaseFlowStep

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.BaseFlowStep

      `flowStepStats, sinks, sources, tempSink`

    - ### Fields inherited from interface cascading.flow.FlowStep

      `CASCADING_FLOW_STEP_ID`

    - ### Fields inherited from interface cascading.util.ProcessLogger

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper, int counter)`
    `ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper, int counter, Map<String,String> flowStepDescriptor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean(Object object)`
    `protected FlowStepJob` | `createFlowStepJob(ClientState clientState, FlowProcess flowProcess, Object initializedStepConfig)`
    `Object` | `createInitializedConfig(FlowProcess flowProcess, Object parentConfig)` Public for testing.
    `Map<Object,Object>` | `getConfigAsProperties()` Method getConfigAsProperties converts the internal configuration object into a `Map` of key value pairs.

    - ### Methods inherited from class cascading.flow.planner.BaseFlowStep

      `addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessFlowStep

          public ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper,
                         int counter)

    - #### ProcessFlowStep

          public ProcessFlowStep(riffle.process.scheduler.ProcessWrapper processWrapper,
                         int counter,
                         Map<String,String> flowStepDescriptor)

  - ### Method Detail

    - #### getConfigAsProperties

          public Map<Object,Object> getConfigAsProperties()

      Description copied from interface: `FlowStep`
      Method getConfigAsProperties converts the internal configuration object into a `Map` of key value pairs.
      Specified by:
        `getConfigAsProperties` in interface `FlowStep`
      Overrides:
        `getConfigAsProperties` in class `BaseFlowStep`
      Returns:
        a Map of key/value pairs, may return an empty collection if unsupported

    - #### createInitializedConfig

          public Object createInitializedConfig(FlowProcess flowProcess,
                                       Object parentConfig)

      Description copied from class: `BaseFlowStep`
      Public for testing.
      Specified by:
        `createInitializedConfig` in class `BaseFlowStep`
      Returns:

    - #### clean

          public void clean(Object object)

      Specified by:
        `clean` in class `BaseFlowStep`

    - #### createFlowStepJob

          protected FlowStepJob createFlowStepJob(ClientState clientState,
                                      FlowProcess flowProcess,
                                      Object initializedStepConfig)

      Specified by:
        `createFlowStepJob` in class `BaseFlowStep`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.